
#import "BackView.h"
#import <appkit/View.h>
#import "UserPath.h"

#define MINNUMCORNERS 2
#define MAXNUMCORNERS 20

@interface LinesView:BackView
{
    BOOL running;                 // Whether we are animating or not.
    struct cornerStruct {
	int xLoc, yLoc;
	int xVel, yVel;
    } corners[MAXNUMCORNERS];     // Corners and velocities for our polygon
    int numCorners;               // Number of corners we actually have
    UserPath	*userPath;
	id linesInspector;
	int drawOp;

}

- oneStep;
- initFrame:(NXRect *) frameRect;
- (int) intValue;
- setNumberOfCorners: sender;
- inspector: sender;
- setDrawOp: sender;

@end
